### Hierarchy

- KeyPairFactory

## Index

### Methods

- createDefaultKeyPair
- createRpcKeyPair

## Methods

### Static createDefaultKeyPair

- createDefaultKeyPair(permissionsSource: PermissionsSource, siteDataSource: SiteDataSource, origin: string): KeyPairHelper

- - Defined in utils/keypair/KeyPairFactory.ts:10

  #### Parameters

  - ##### permissionsSource: PermissionsSource

  - ##### siteDataSource: SiteDataSource

  - ##### origin: string

  #### Returns KeyPairHelper

### Static createRpcKeyPair

- createRpcKeyPair(rpcTransport: RpcTransport): KeyPairHelper

- - Defined in utils/keypair/KeyPairFactory.ts:16

  #### Parameters

  - ##### rpcTransport: RpcTransport

  #### Returns KeyPairHelper

Generated using TypeDoc